Package com.plannaplan.models

# Class EmailAcceptedData

java.lang.Object
com.plannaplan.models.EmailAcceptedData

    public class EmailAcceptedData
    extends java.lang.Object

Instance to keep data to send in mail about accepted courses results

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`EmailAcceptedData()` |
`EmailAcceptedData​(java.util.List<Groups> accepted, java.util.List<Groups> removed)` | creates instance of class

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.util.List<Groups>` | `getAccepted()` | get list of accepted assignments
`java.lang.String` | `getEmailMessage()` | it creates and return email message body
`java.util.List<Groups>` | `getRemoved()` | get list of removed assignments
`void` | `setAccepted​(java.util.List<Groups> accepted)` | set list of accepted assignments
`void` | `setRemoved​(java.util.List<Groups> removed)` | set list of removed assignments

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmailAcceptedData

public EmailAcceptedData()

### EmailAcceptedData

public EmailAcceptedData​(java.util.List<Groups> accepted, java.util.List<Groups> removed)
creates instance of class

Parameters:
  `accepted` - list of groups that user joined to
  `removed` - lsit of groups that user failed to join

## Method Details

### getRemoved

public java.util.List<Groups> getRemoved()
get list of removed assignments

Returns:
  removed assingments

### setRemoved

public void setRemoved​(java.util.List<Groups> removed)
set list of removed assignments

Parameters:
  `removed` - list of removed assignments

### getAccepted

public java.util.List<Groups> getAccepted()
get list of accepted assignments

Returns:
  accepted assingments

### setAccepted

public void setAccepted​(java.util.List<Groups> accepted)
set list of accepted assignments

Parameters:
  `accepted` - list of accepted assignments

### getEmailMessage

public java.lang.String getEmailMessage()
it creates and return email message body

Returns:
  string with emiale massage